<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hssf.record.chart (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hssf.record.chart (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/cf/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/common/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/chart/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hssf.record.chart</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/AreaFormatRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">AreaFormatRecord</a></td>
                    <td class="colLast">
                        <div class="block">The area format record is used to define the colours and patterns for an
                            area.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/AreaRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">AreaRecord</a></td>
                    <td class="colLast">
                        <div class="block">The area record is used to define a area chart.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/AxisLineFormatRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">AxisLineFormatRecord</a></td>
                    <td class="colLast">
                        <div class="block">The axis line format record defines the axis type details.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/AxisOptionsRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">AxisOptionsRecord</a></td>
                    <td class="colLast">
                        <div class="block">The axis options record provides unit information and other various tidbits
                            about the axis.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/AxisParentRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">AxisParentRecord</a></td>
                    <td class="colLast">
                        <div class="block">The axis size and location</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/AxisRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">AxisRecord</a></td>
                    <td class="colLast">
                        <div class="block">The axis record defines the type of an axis.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/AxisUsedRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">AxisUsedRecord</a></td>
                    <td class="colLast">
                        <div class="block">The number of axes used on a chart.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">BarRecord</a></td>
                    <td class="colLast">
                        <div class="block">The bar record is used to define a bar chart.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/BeginRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">BeginRecord</a></td>
                    <td class="colLast">
                        <div class="block">The begin record defines the start of a block of records for a (grpahing
                            data object.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/CategorySeriesAxisRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">CategorySeriesAxisRecord</a></td>
                    <td class="colLast">
                        <div class="block">This record refers to a category or series axis and is used to specify
                            label/tickmark frequency.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/CatLabRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">CatLabRecord</a></td>
                    <td class="colLast">
                        <div class="block">CATLAB - Category Labels (0x0856)<br></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/ChartEndBlockRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartEndBlockRecord</a></td>
                    <td class="colLast">
                        <div class="block">ENDBLOCK - Chart Future Record Type End Block (0x0853)<br></div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/ChartEndObjectRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartEndObjectRecord</a></td>
                    <td class="colLast">
                        <div class="block">ENDOBJECT - Chart Future Record Type End Object (0x0855)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/ChartFormatRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartFormatRecord</a></td>
                    <td class="colLast">
                        <div class="block">Class ChartFormatRecord (0x1014)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/ChartFRTInfoRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartFRTInfoRecord</a></td>
                    <td class="colLast">
                        <div class="block">CHARTFRTINFO - Chart Future Record Type Info (0x0850)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/ChartRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">ChartRecord</a></td>
                    <td class="colLast">
                        <div class="block">CHART (0x1002)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/ChartStartBlockRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartStartBlockRecord</a></td>
                    <td class="colLast">
                        <div class="block">STARTBLOCK - Chart Future Record Type Start Block (0x0852)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/ChartStartObjectRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartStartObjectRecord</a></td>
                    <td class="colLast">
                        <div class="block">STARTOBJECT - Chart Future Record Type Start Object (0x0854)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/ChartTitleFormatRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartTitleFormatRecord</a></td>
                    <td class="colLast">
                        <div class="block">CHARTTITLEFORMAT (0x1050)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/DataFormatRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">DataFormatRecord</a></td>
                    <td class="colLast">
                        <div class="block">The data format record is used to index into a series.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/DataLabelExtensionRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">DataLabelExtensionRecord</a></td>
                    <td class="colLast">
                        <div class="block">DATALABEXT - Chart Data Label Extension (0x086A)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/DatRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">DatRecord</a></td>
                    <td class="colLast">
                        <div class="block">The dat record is used to store options for the chart.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/DefaultDataLabelTextPropertiesRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">DefaultDataLabelTextPropertiesRecord</a>
                    </td>
                    <td class="colLast">
                        <div class="block">The default data label text properties record identifies the text
                            characteristics of the preceding text record.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/EndRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">EndRecord</a></td>
                    <td class="colLast">
                        <div class="block">The end record defines the end of a block of records for a (Graphing)
                            data object.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/FontBasisRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">FontBasisRecord</a></td>
                    <td class="colLast">
                        <div class="block">The font basis record stores various font metrics.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/FontIndexRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">FontIndexRecord</a></td>
                    <td class="colLast">
                        <div class="block">The font index record indexes into the font table for the text record.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/FrameRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">FrameRecord</a></td>
                    <td class="colLast">
                        <div class="block">The frame record indicates whether there is a border around the displayed
                            text of a chart.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/LegendRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">LegendRecord</a></td>
                    <td class="colLast">
                        <div class="block">Defines a legend for a chart.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/LineFormatRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">LineFormatRecord</a></td>
                    <td class="colLast">
                        <div class="block">Describes a line format record.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">LinkedDataRecord</a></td>
                    <td class="colLast">
                        <div class="block">Describes a linked data record.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/NumberFormatIndexRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">NumberFormatIndexRecord</a></td>
                    <td class="colLast">
                        <div class="block">The number format index record indexes format table.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/ObjectLinkRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ObjectLinkRecord</a></td>
                    <td class="colLast">
                        <div class="block">Links text to an object on the chart or identifies it as the title.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/PlotAreaRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">PlotAreaRecord</a></td>
                    <td class="colLast">
                        <div class="block">preceeds and identifies a frame as belonging to the plot area.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/PlotGrowthRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">PlotGrowthRecord</a></td>
                    <td class="colLast">
                        <div class="block">The plot growth record specifies the scaling factors used when a font is
                            scaled.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/SeriesChartGroupIndexRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">SeriesChartGroupIndexRecord</a></td>
                    <td class="colLast">
                        <div class="block">The series chart group index record stores the index to the CHARTFORMAT
                            record (0 based).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/SeriesIndexRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">SeriesIndexRecord</a></td>
                    <td class="colLast">
                        <div class="block">links a series to its position in the series list.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/SeriesLabelsRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">SeriesLabelsRecord</a></td>
                    <td class="colLast">
                        <div class="block">The series label record defines the type of label associated with the data
                            format record.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/SeriesListRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">SeriesListRecord</a></td>
                    <td class="colLast">
                        <div class="block">SERIESLIST (0x1016)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/SeriesRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">SeriesRecord</a></td>
                    <td class="colLast">
                        <div class="block">The series record describes the overall data for a series.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/SeriesTextRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">SeriesTextRecord</a></td>
                    <td class="colLast">
                        <div class="block">SERIESTEXT (0x100D)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/SeriesToChartGroupRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">SeriesToChartGroupRecord</a></td>
                    <td class="colLast">
                        <div class="block">Indicates the chart-group index for a series.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/SheetPropertiesRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">SheetPropertiesRecord</a></td>
                    <td class="colLast">
                        <div class="block">Describes a chart sheet properties record.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/TextRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">TextRecord</a></td>
                    <td class="colLast">
                        <div class="block">The text record is used to define text stored on a chart.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/TickRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">TickRecord</a></td>
                    <td class="colLast">
                        <div class="block">The Tick record defines how tick marks and label positioning/formatting</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hssf/record/chart/UnitsRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart">UnitsRecord</a></td>
                    <td class="colLast">
                        <div class="block">The units record describes units.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/chart/ValueRangeRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ValueRangeRecord</a></td>
                    <td class="colLast">
                        <div class="block">The value range record defines the range of the value axis.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/cf/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/common/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/chart/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
